Page MenuHomePhabricator

Math logging uses reserved word 'url'
Closed, ResolvedPublic

Description

{
  "_index": "logstash-mediawiki-2020.02.14",
  "_type": "mediawiki",
  "_id": "AXBFeRv_KWrIH1QRwKuR",
  "_score": 1,
  "_source": {
    "server": "www.wikidata.org",
    "phpversion": "7.2.26-1+0~20191218.33+debian9~1.gbpb5a340+wmf1",
    "wiki": "wikidatawiki",
    "channel": "Math",
    "program": "mediawiki",
    "type": "mediawiki",
    "error": "",
    "http_method": "POST",
    "post": {
      "type": "tex",
      "q": "\\begin{aligned}\\mathbb N^\\Sigma/\\tilde \\\\ x<y\\le z \\implies yzx=yxz \\\\ x \\le y < z \\implies xzy = zxy \\end{aligned}"
    },
    "host": "mw1232",
    "@version": 1,
    "shard": "s8",
    "timestamp": "2020-02-14T20:52:08+00:00",
    "severity": "info",
    "unique_id": "XkcIeApAMEMAAJplkIIAAACJ",
    "logstash_formatter_key_conflict": [
      "url"
    ],
    "level": "INFO",
    "ip": "10.64.48.67",
    "mwversion": "1.35.0-wmf.19",
    "logsource": "mw1232",
    "message": "Tex check failed:",
    "normalized_message": "Tex check failed:",
    "url": "/w/api.php",
    "reqId": "XkcIeApAMEMAAJplkIIAAACJ",
    "tags": [
      "input-kafka-rsyslog-udp-localhost",
      "rsyslog-udp-localhost",
      "kafka",
      "es"
    ],
    "referrer": "https://www.wikidata.org/w/api.php",
    "@timestamp": "2020-02-14T20:52:08.466Z",
    "c_url": "/mathoid/local/v1/media/math/check/tex",
    "facility": "user"
  },
  "fields": {
    "@timestamp": [
      1581713528466
    ]
  }
}

Event Timeline

Reedy created this task.Feb 14 2020, 8:54 PM

Change 572346 had a related patch set uploaded (by Reedy; owner: Reedy):
[mediawiki/extensions/Math@master] Stop using 'url' param when logging

https://gerrit.wikimedia.org/r/572346

Change 572346 merged by jenkins-bot:
[mediawiki/extensions/Math@master] Stop using 'url' param when logging

https://gerrit.wikimedia.org/r/572346

Reedy closed this task as Resolved.Feb 14 2020, 10:20 PM
Reedy claimed this task.